<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<title><?=@$title?></title>
	<link type="text/css" rel="stylesheet" href="<?=$this->link('style.css')?>" />
	<script type="text/javascript" src="http://code.jquery.com/jquery-1.4.3.min.js"></script>
</head>
<body>
	<div id="header">
		<h1>DocMan Document Manager</h1>
		<ul>
			<?php if ($this->current_user): ?>
			<li><a href="<?=$this->route("document", "getlist")?>"><img src="<?=$this->link('images/page_white_stack.png')?>" title="Document List" alt="Document List" /></a></li>
			<li><a href="<?=$this->route("document", "create")?>"><img src="<?=$this->link('images/page_add.png')?>" title="Create Document" alt="Create Document" /></a></li>
			<?php if ($this->current_user && $this->current_user->isAdministrator()): ?>
			<li><a href="<?=$this->route("user", "getlist")?>"><img src="<?=$this->link('images/user.png')?>" title="List Users" alt="List Users" /></a></li>
			<li><a href="<?=$this->route("user", "create")?>"><img src="<?=$this->link('images/user_add.png')?>" title="Create User" alt="Create User" /></a></li>
			<li><a href="<?=$this->route("group", "getlist")?>"><img src="<?=$this->link('images/group.png')?>" title="List Groups" alt="List Groups" /></a></li>
			<li><a href="<?=$this->route("group", "create")?>"><img src="<?=$this->link('images/group_add.png')?>" title="Create Group" alt="Create Group" /></a></li>
			<?php endif; ?>
			<li><a href="<?=$this->route("user", "logout")?>"><img src="<?=$this->link('images/user_go.png')?>" title="Log out" alt=="Log out" /></a></li>
			<?php endif; ?>
		</ul>
	</div>
	<?php if ($session_messages): ?>
		<?php foreach ($session_messages as $msg): ?>
			<div class="<?=$msg[1]?>"><?=$msg[0]?></div>
		<?php endforeach; ?>
	<?php endif; ?>