<?php
session_start();
error_reporting(E_ALL);
date_default_timezone_set('America/New_York');

function __autoload($className) {
	$locations = array('controllers', 'lib', 'models');
	foreach ($locations as $loc) {
		$path = dirname(__FILE__).DIRECTORY_SEPARATOR.$loc.DIRECTORY_SEPARATOR.$className.'.php';
		if (file_exists($path)) {
			require_once $path;
			return;
		}
	}
}

$db['dsn'] = 'mysql:host=localhost;dbname=docman';
//$db['dsn'] = 'sqlite:'.dirname(__FILE__).DIRECTORY_SEPARATOR.'docman.db';
$db['username'] = 'docman';
$db['password'] = 'namcod';

$fc = new FrontController();
$fc->baseUrl = '/index.php';
$fc->rootUrl = '/';
$fc->viewPath = dirname(__FILE__).DIRECTORY_SEPARATOR.'views';
$fc->dispatch(isset($_SERVER['REQUEST_URI']) ? $_SERVER['REQUEST_URI'] : $_SERVER['PHP_SELF']);